# Generated by Django 5.1.4 on 2025-01-05 15:24

import datetime
import django.db.models.deletion
import gallery.models
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='City',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=150, unique=True, verbose_name='City')),
            ],
            options={
                'verbose_name_plural': 'Cities',
            },
        ),
        migrations.CreateModel(
            name='Location',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('place', models.CharField(blank=True, max_length=250, verbose_name='Place')),
                ('city', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='places', to='gallery.city', verbose_name='City')),
            ],
            options={
                'verbose_name_plural': 'Locations',
                'unique_together': {('place', 'city')},
            },
        ),
        migrations.CreateModel(
            name='Album',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=150, unique=True, verbose_name='Album')),
                ('slug', models.SlugField(max_length=150, unique=True, verbose_name='Slug')),
                ('album_date', models.DateField(default=datetime.datetime.now, verbose_name='Album Date')),
                ('is_public', models.BooleanField(default=False, verbose_name='Published')),
                ('location', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='albums', to='gallery.location', verbose_name='Location')),
            ],
            options={
                'verbose_name_plural': 'Albums',
            },
        ),
        migrations.CreateModel(
            name='Photo',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.CharField(editable=False, max_length=15, verbose_name='Photo Slug')),
                ('photo', models.ImageField(height_field='height', upload_to=gallery.models.Photo._get_upload_path, verbose_name='Photo', width_field='width')),
                ('width', models.PositiveIntegerField(default=0, editable=False, verbose_name='Photo Width')),
                ('height', models.PositiveIntegerField(default=0, editable=False, verbose_name='Photo Height')),
                ('taken_at', models.DateTimeField(blank=True, editable=False, null=True, verbose_name='Taken at')),
                ('exif', models.JSONField(blank=True, editable=False, null=True, verbose_name='Exif Metadata')),
                ('album', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='photos', to='gallery.album', verbose_name='Album')),
            ],
        ),
    ]
